严重: Error configuring application listener of class [org.springframework.web.context.ContextLoaderListener] java.lang.ClassNotFoundException: org.springframework.web.context.ContextLoaderListener

前几天把部分模块的CRUD写完后,就回家了,但是同事说启动项目报错,这确实是我自己疏忽了,写完了也没重启项目测试一下再走。因为同事主要负责前端,问题就没解决,这两天忙完事情回来处理bug。

严重: Error configuring application listener of class [org.springframework.web.context.ContextLoaderListener] 详情

maven ssm 框架搭建问题解决

昨天搭建这个框架用了很久,但总是报错,把mybatis和spring整合后,单元测试都不成功!

问题根源:创建maven2项目,会自动将JRE System Library 默认设置为JavaSE-1.5,我们可以手动修改它的版本(框架运行时还是会出错),而且 maven -> Update Project.. 之后又会回到javaSE-1.5,解决办法: 详情

Eclipse Maven 配置

1.配置maven路径:

Window -> Preferences -> Maven -> Installations -> Add… -> Derictory…选择Maven安装,name自动填充 ->  Finish

2.设置仓库路径:

Window -> Preferences -> Maven -> User Settings -> Global Settings & User 详情